summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: cbea86f)
raw | patch | inline | side by side (parent: cbea86f)
author | Pierre Habouzit <madcoder@debian.org> | |
Thu, 8 Nov 2007 09:32:11 +0000 (10:32 +0100) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Thu, 8 Nov 2007 09:49:01 +0000 (01:49 -0800) |
The previous patch missed the same construct in git-clone.
Signed-off-by: Pierre Habouzit <madcoder@debian.org>
Signed-off-by: Pierre Habouzit <madcoder@debian.org>
git-clone.sh | patch | blob | history | |
git-sh-setup.sh | patch | blob | history |
diff --git a/git-clone.sh b/git-clone.sh
index f216f03a77d548f04aba4b64953b66368ce2ef9b..24ad179bbda69ecf68e49896c3c018425b645461 100755 (executable)
--- a/git-clone.sh
+++ b/git-clone.sh
exec "$0" -h
}
-eval `echo "$OPTIONS_SPEC" | git rev-parse --parseopt -- "$@" || echo exit $?`
+eval "$(echo "$OPTIONS_SPEC" | git rev-parse --parseopt -- "$@" || echo exit $?)"
get_repo_base() {
(
diff --git a/git-sh-setup.sh b/git-sh-setup.sh
index f1c4839a9fe2883f1106d9f9ee209fe4b53b3720..5aa62dda15d1c24d0b01845ded4c8bc15e98bf8a 100755 (executable)
--- a/git-sh-setup.sh
+++ b/git-sh-setup.sh
exec "$0" -h
}
- [ -n "$OPTIONS_KEEPDASHDASH" ] && parseopt_extra="--keep-dashdash"
- parsed=$(
+ parseopt_extra=
+ [ -n "$OPTIONS_KEEPDASHDASH" ] &&
+ parseopt_extra="--keep-dashdash"
+
+ eval "$(
echo "$OPTIONS_SPEC" |
- git rev-parse --parseopt $parseopt_extra -- "$@"
- ) &&
- eval "$parsed" || exit
+ git rev-parse --parseopt $parseopt_extra -- "$@" ||
+ echo exit $?
+ )"
else
usage() {
die "Usage: $0 $USAGE"